# CodeLinaro Community Guidelines

Effective date: January 1, 2021

The CodeLinaro Service is provided to you by Linaro Limited, a UK registered company number 07180318. Any reference to CodeLinaro is also a reference to Linaro Limited. 

CodeLinaro users worldwide bring wildly different perspectives, ideas, and experiences, and range from people who created their first "Hello World" project last week to the most well-known software developers in the world. We are committed to making CodeLinaro a welcoming environment for all the different voices and perspectives in our community, while maintaining a space where people are free to express themselves.

We rely on our community members to communicate expectations, moderate their projects, and report abusive content or behaviour. By outlining what we require within our community, we hope to help you understand how best to collaborate on CodeLinaro, and what type of actions or content may violate the [CodeLinaro Terms of Service](terms-of-service.md), which include the [CodeLinaro Acceptable Use Policies](acceptable-use-policies.md). We will investigate any abuse reports and may moderate public content on our site that we determine to be in violation of our [Terms of Service](terms-of-service.md).


## Building a strong community

The primary purpose of the CodeLinaro community is to collaborate on software projects. We want people to work better together. Although we maintain the site, this is a community we build together, and we need your help to make it the best it can be.



* **Be welcoming and open-minded** -- Other collaborators may not have the same experience level or background as you, but that doesn't mean they don't have good ideas to contribute. We encourage you to be welcoming to new collaborators and those just getting started.
* **Respect each other**. -- Nothing sabotages healthy conversation like rudeness. Be civil and professional, and don’t post anything that a reasonable person would consider offensive, abusive, or hate speech. Don’t harass or grief anyone. Treat each other with dignity and consideration in all interactions.

    You may wish to respond to something by disagreeing with it. That’s fine. But remember to criticize ideas, not people. Avoid name-calling, ad hominem attacks, responding to a post’s tone instead of its actual content, and knee-jerk contradiction. Instead, provide reasoned counter-arguments that improve the conversation.

* **Communicate with empathy** -- Disagreements or differences of opinion are a fact of life. Being part of a community means interacting with people from a variety of backgrounds and perspectives, many of which may not be your own. If you disagree with someone, try to understand and share their feelings before you address them. This will promote a respectful and friendly atmosphere where people feel comfortable asking questions, participating in discussions, and making contributions.
* **Be clear and stay on topic** -- People use CodeLinaro to get work done and to be more productive. Off-topic comments are a distraction (sometimes welcome, but usually not) from getting work done and being productive. Staying on topic helps produce positive and productive discussions.

Additionally, communicating with strangers on the Internet can be awkward. It's hard to convey or read tone, and sarcasm is frequently misunderstood. Try to use clear language, and think about how it will be received by the other person.


## What if something or someone offends you?

We rely on the community to let us know when an issue needs to be addressed. We do not actively monitor every aspect of the site for offensive content. If you run into something or someone on the site that you find objectionable, here are some tools CodeLinaro provides to help you take action immediately:

* **Communicate expectations** -- If you participate in a community that has not set their own, community-specific guidelines, encourage them to do so.
* **Moderate Comments** - If you have write-access privileges to project content, you can edit, delete, or hide anyone's comments. 

Of course, you can always [Contact us](https://www.codelinaro.org/contact/), to report abuse if you need more help or guidance dealing with any situation.


## What is not allowed?

We are committed to maintaining a community where users are free to express themselves and challenge one another's ideas, both technical and otherwise when relevant to the topic at hand. Such discussions, however, are unlikely to foster fruitful dialog when ideas are silenced because community members are being shouted down or are afraid to speak up. That means you should be respectful and civil at all times, and refrain from attacking others on the basis of who they are. We do not tolerate behavior that crosses the line into the following:


### Threats of violence

You may not threaten violence towards others or use the site to organize, promote, or incite acts of real-world violence or terrorism. Think carefully about the words you use, the images you post, and even the software you write, and how they may be interpreted by others. Even if you mean something as a joke, it might not be received that way. If you think that someone else might interpret the content you post as a threat, or as promoting violence or terrorism, stop. Don't post it on CodeLinaro. In extraordinary cases, we may report threats of violence to law enforcement if we think there may be a genuine risk of physical harm or a threat to public safety.


### Hate speech and discrimination

While it is not forbidden to broach topics such as age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation, we do not tolerate speech that attacks a person or group of people on the basis of who they are. Just realize that when approached in an aggressive or insulting manner, these (and other) sensitive topics can make others feel unwelcome, or perhaps even unsafe. While there's always the potential for misunderstandings, we expect our community members to remain respectful and civil when discussing sensitive topics.


### Bullying and harassment

We do not tolerate bullying or harassment. This means any habitual badgering or intimidation targeted at a specific person or group of people. In general, if your actions are unwanted and you continue to engage in them, there's a good chance you are headed into bullying or harassment territory.


### Disrupting the experience of other users

Being part of a community includes recognizing how your behavior affects others and engaging in meaningful and productive interactions with people and the platform they rely on. Behaviors such as repeatedly posting off-topic comments, opening empty or meaningless issues or pull requests, or using any other platform feature in a way that continually disrupts the experience of other users are not allowed. While we encourage maintainers to moderate their own projects on an individual basis, CodeLinaro staff may take further restrictive action against accounts that are engaging in these types of behaviors.


### Impersonation

You may not impersonate another person by copying their avatar, posting content under their email address, using a similar username or otherwise posing as someone else. Impersonation is a form of harassment.


### Doxxing and invasion of privacy

Don't post other people's personal information, such as personal, private email addresses, phone numbers, physical addresses, credit card numbers, Social Security/National Identity numbers, or passwords. Depending on the context, such as in the case of intimidation or harassment, we may consider other information, such as photos or videos that were taken or distributed without the subject's consent, to be an invasion of privacy, especially when such material presents a safety risk to the subject.


### Sexually explicit content

Don’t post content that is pornographic. We do not allow explicit sexual content or content that may involve the exploitation or sexualization of minors.


### Gratuitously violent content

Don’t post violent images, text, or other content without reasonable context or warnings. While it's often okay to include violent content in video games, news reports, and descriptions of historical events, we do not allow violent content that is posted indiscriminately, or that is posted in a way that makes it difficult for other users to avoid (such as a profile avatar or an issue comment). A clear warning or disclaimer in other contexts helps users make an educated decision as to whether or not they want to engage with such content.


### Misinformation and disinformation

You may not post content that presents a distorted view of reality, which in the judgement of the CodeLinaro administrators is inaccurate or false (misinformation) or is intentionally deceptive (disinformation) where such content is likely to result in harm to the public or to interfere with fair and equal opportunities for all to participate in public life. For example, we do not allow content that may put the well-being of groups of people at risk or limit their ability to take part in a free and open society. We encourage active participation in the relevant expression of ideas, perspectives, and experiences.


### Active malware or exploits

We do not allow anyone to use our platform in direct support of unlawful attacks that cause technical harms, such as using CodeLinaro as a means to deliver malicious executables or as attack infrastructure, for example by organizing denial of service attacks or managing command and control servers. Technical harms means overconsumption of resources, physical damage, downtime, denial of service, or data loss, with no implicit or explicit dual-use purpose prior to the abuse occurring.

Note that CodeLinaro allows dual-use content and supports the posting of content that is used for research into vulnerabilities, malware, or exploits, as the publication and distribution of such content has educational value and provides a net benefit to the security community. We assume positive intention and use of these projects to promote and drive improvements across the ecosystem.

In rare cases of very widespread abuse of dual-use content, we may restrict access to that specific instance of the content to disrupt an ongoing unlawful attack or malware campaign that is leveraging the CodeLinaro platform as an exploit or malware CDN. In most of these instances, restriction takes the form of putting the content behind authentication, but may, as an option of last resort, involve disabling access or full removal where this is not possible (e.g. when posted as a gist). We will also contact the project owners about restrictions put in place where possible.

Restrictions are temporary where feasible, and do not serve the purpose of purging or restricting any specific dual-use content, or copies of that content, from the platform in perpetuity. While we aim to make these rare cases of restriction a collaborative process with project owners, if you do feel your content was unduly restricted, we have an appeals process[appeals process](codeLinaro-community-guidelines.md) in place.

To facilitate a path to abuse resolution with project maintainers themselves, prior to escalation to CodeLinaro abuse reports, we recommend, but do not require, that repository owners take the following steps when posting potentially harmful security research content:



* Clearly identify and describe any potentially harmful content in a disclaimer in the project’s documentation, README file or source code comments.
* Provide a preferred contact method for any third party abuse inquiries.


## What happens if someone breaks the rules?

There are a variety of actions that we may take when a user reports inappropriate behavior or content. It usually depends on the exact circumstances of a particular case. We recognize that sometimes people may say or do inappropriate things for any number of reasons. Perhaps they did not realize how their words would be perceived.  Or maybe they just let their emotions get the best of them. Of course, sometimes, there are folks who just want to spam or cause trouble.

Each case requires a different approach, and we try to tailor our response to meet the needs of the situation that has been reported. We'll review each abuse report on a case-by-case basis. In each case, we will have a diverse team investigate the content and surrounding facts and respond as appropriate, using these guidelines to guide our decision.

Actions we may take in response to an abuse report include but are not limited to:



* Content Removal
* Content Blocking
* Account Suspension
* Account Termination


## Appeal and Reinstatement

In some cases there may be a basis to reverse an action, for example, based on additional information a user provided, or where a user has addressed the violation and agreed to abide by the [CodeLinaro Acceptable Use Policies](acceptable-use-policies.md) moving forward. If you wish to appeal an enforcement action, please follow the instructions found [here](https://www.codelinaro.org/faq/209813505/).


## Legal Notice

These are only guidelines; they do not modify the [CodeLinaro Terms of Service](terms-of-service.md) and are not intended to be an exhaustive list. CodeLinaro retains full discretion under the Terms of Service to remove any content or terminate any accounts for activity that violates the [CodeLinaro Acceptable Use Policies](acceptable-use-policies.md). These guidelines describe when we will exercise that discretion.
